Package org.springframework.web.servlet

# Interface SmartView

All Superinterfaces:
  `View`

All Known Subinterfaces:
  `FragmentsRendering`

All Known Implementing Classes:
  `RedirectView`

public interface SmartView extends View
Provides additional information about a View such as whether it performs redirects.

Since:
  3.1
Author:
  Rossen Stoyanchev

## Field Summary

### Fields inherited from interface org.springframework.web.servlet.View

`PATH_VARIABLES, RESPONSE_STATUS_ATTRIBUTE, SELECTED_CONTENT_TYPE`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isRedirectView()`
Whether the view performs a redirect.
`default void`
`resolveNestedViews(ViewResolver resolver, Locale locale)`
In most cases, the `DispatcherServlet` uses `ViewResolver`s to resolve `View` instances.

### Methods inherited from interface org.springframework.web.servlet.View

`getContentType, render`

## Method Details

### isRedirectView

boolean isRedirectView()
Whether the view performs a redirect.

### resolveNestedViews

default void resolveNestedViews(ViewResolver resolver, Locale locale) throws Exception
In most cases, the `DispatcherServlet` uses `ViewResolver`s to resolve `View` instances. However, a special type of `View` may actually render a collection of fragments, each with its own model and view.

This callback provides such a view with the opportunity to resolve any nested views it contains prior to rendering.

Parameters:
  `resolver` - to resolve views with
  `locale` - the resolved locale for the request
Throws:
  `Exception` - if any view cannot be resolved, or in case of problems creating an actual View instance
Since:
  6.2